For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTRun Workflow
      • POSTBatch Run Workflow
      • GETGet Workflow Run
      • POSTUpdate Workflow Run
      • POSTCancel Workflow Run
      • DELDelete Workflow Run
      • GETList Workflow Runs
      • POSTCreate Workflow
      • GETGet Workflow
      • POSTUpdate Workflow
      • GETList Workflows
      • POSTCreate Workflow Version
      • GETGet Workflow Version
      • GETList Workflow Versions
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWorkflows

List Workflows

GET
/workflows
GET
/workflows
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.workflows.list()
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "workflow",
6 "id": "workflow_BMlfq_yWM3sT-ZzvCnA3f",
7 "name": "Invoice Processing",
8 "createdAt": "2024-03-21T16:45:00Z",
9 "updatedAt": "2024-03-21T16:45:00Z"
10 }
11 ],
12 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
13}
List all workflows. Returns a paginated list of workflow summaries.
Was this page helpful?
Previous

Create Workflow Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/api-reference/api-versioning) for more details.

Query parameters

nextPageTokenstringOptional

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.
sortByenumOptionalDefaults to updatedAt
Sort by the given field.
Allowed values:
sortDirenumOptionalDefaults to desc
Sort in ascending or descending order. Ascending order means the earliest result is returned first.
Allowed values:

Response

Successfully retrieved workflows
objectenum
Allowed values:
datalist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.